<?php

namespace Drupal\crossword\Plugin\Block;

use Drupal\Core\Block\BlockBase;

/**
 * Provides a Crossword Instructions block.
 *
 * @Block(
 *   id = "crossword_instructions",
 *   admin_label = @Translation("Crossword Instructions")
 * )
 */
class CrosswordInstructionsBlock extends BlockBase {

  /**
   * {@inheritdoc}
   */
  public function build() {
    return [
      '#theme' => 'crossword_instructions',
      '#attached' => [
        'library' => [
          'crossword/crossword.instructions',
        ],
      ],
    ];
  }

}
